package com.xzzn.ems.mapper;

import java.util.List;
import com.xzzn.ems.domain.EmsMqttTopicConfig;

/**
 * 站点topic配置Mapper接口
 *
 * @author xzzn
 * @date 2025-11-06
 */
public interface EmsMqttTopicConfigMapper
{
    /**
     * 查询站点topic配置
     *
     * @param id 站点topic配置主键
     * @return 站点topic配置
     */
    public EmsMqttTopicConfig selectEmsMqttTopicConfigById(Long id);

    /**
     * 查询站点topic配置列表
     *
     * @param emsMqttTopicConfig 站点topic配置
     * @return 站点topic配置集合
     */
    public List<EmsMqttTopicConfig> selectEmsMqttTopicConfigList(EmsMqttTopicConfig emsMqttTopicConfig);

    /**
     * 新增站点topic配置
     *
     * @param emsMqttTopicConfig 站点topic配置
     * @return 结果
     */
    public int insertEmsMqttTopicConfig(EmsMqttTopicConfig emsMqttTopicConfig);

    /**
     * 修改站点topic配置
     *
     * @param emsMqttTopicConfig 站点topic配置
     * @return 结果
     */
    public int updateEmsMqttTopicConfig(EmsMqttTopicConfig emsMqttTopicConfig);

    /**
     * 删除站点topic配置
     *
     * @param id 站点topic配置主键
     * @return 结果
     */
    public int deleteEmsMqttTopicConfigById(Long id);

    /**
     * 批量删除站点topic配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsMqttTopicConfigByIds(Long[] ids);

    // 判断topic是否存在
    public String checkTopicIsExist(String strategyTopic);

    EmsMqttTopicConfig selectOneByTopic(String topic);
}
